Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

OperationCreateNCFilesByPartId Method

Creates NC files from the selected parts using the given NC template name.

See Tekla Structures Help for more information about NC files.

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.0.0.0 (2019.0.0.0)
Syntax
public static bool CreateNCFilesByPartId(
	string NCFileSettings,
	string DestinationFolder,
	Identifier PartID,
	out string DstvOutput,
	bool CreatePopMarks = false,
	string PopMarkSettingsFileName = "",
	bool CreateContourMarking = false,
	string ContourMarkingSettingsFileName = ""
)

Parameters

NCFileSettings
Type: SystemString
The name of the NC setting template to be used in creation.
DestinationFolder
Type: SystemString
The name of the folder where NC files are created. If defined, overrides the default folder in the setting template.
PartID
Type: Tekla.StructuresIdentifier
The identifier of the part.
DstvOutput
Type: SystemString
The DSTV output as string.
CreatePopMarks (Optional)
Type: SystemBoolean
Create pop-marks during export.
PopMarkSettingsFileName (Optional)
Type: SystemString
The name of the pop-mark setting file to be used in creation.
CreateContourMarking (Optional)
Type: SystemBoolean
Create contour marking during export.
ContourMarkingSettingsFileName (Optional)
Type: SystemString
The name of the contour marking setting file to be used in creation.

Return Value

Type: Boolean
True if the NC files are created, false if the numbering is not up-to-date or the used configuration is wrong.
Exceptions
Exception Condition
ArgumentException Thrown when the NCFileSettings is not defined.
ArgumentNullException Thrown when the NCFileSettings is null.
Examples
using Tekla.Structures.Model;
using Tekla.Structures.Model.Operations;
using Tekla.Structures.Model.UI;

using System.Collections;
using System.Windows.Forms;

public class Example
{
       public void Example1()
       {
           Picker Picker = new Picker();

           try
           {
               Beam Beam1 = Picker.PickObject(Picker.PickObjectEnum.PICK_ONE_PART, "Pick object to Create NC for") as Beam;

               Identifier BeamId = Beam1.Identifier;

               string DstvOutput;
               if (Operation.CreateNCFilesByPartId("DSTV for profiles", "", BeamId, out DstvOutput, true, "standard", true, "standard"))
               {
                   MessageBox.Show("NC creation successful");
                   //DstvOutput will contain all the info from exported dstv file
               }
           }
           catch { }
       }
}
See Also